Commit 76c94f41 authored by Agate's avatar Agate 💬

Merge branch 'patch-1' into 'develop'

slight fixes to Debian install doc

See merge request funkwhale/funkwhale!240
parents 06a78336 7fa99750
......@@ -23,7 +23,7 @@ default on system. You can install them using:
.. code-block:: shell
sudo apt-get update
sudo apt-get install curl python3-venv git unzip
sudo apt-get install curl python3-pip python3-venv git unzip
Layout
......@@ -90,7 +90,7 @@ First, we'll download the latest api release.
curl -L -o "api-|version|.zip" "https://code.eliotberriot.com/funkwhale/funkwhale/-/jobs/artifacts/|version|/download?job=build_api"
unzip "api-|version|.zip" -d extracted
mv extracted/api/* api/
rmdir extracted
rm -rf extracted
Then we'll download the frontend files:
......
......@@ -32,10 +32,8 @@ Create the project database and user:
.. code-block:: shell
CREATE DATABASE "scratch"
WITH ENCODING 'utf8'
LC_COLLATE = 'en_US.utf8'
LC_CTYPE = 'en_US.utf8';
CREATE DATABASE "funkwhale"
WITH ENCODING 'utf8';
CREATE USER funkwhale;
GRANT ALL PRIVILEGES ON DATABASE funkwhale TO funkwhale;
......@@ -58,7 +56,7 @@ for funkwhale to work properly:
.. code-block:: shell
sudo -u postgres psql -c 'CREATE EXTENSION "unaccent";'
sudo -u postgres psql funkwhale -c 'CREATE EXTENSION "unaccent";'
Cache setup (Redis)
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment